<?php
/**
 * @version     2.0.0
 * @package     com_jsonglyrics
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      John Kouvakis <john@kouvakis.gr> - http://www.kouvakis.gr
 */
// no direct access
defined('_JEXEC') or die;

//Load admin language file
$lang = JFactory::getLanguage();

$doc = JFactory::getDocument();
$doc->addStyleSheet( JURI::base(true) . '/components/com_jsonglyrics/assets/css/jsonglyrics.css' );
$doc->addScriptDeclaration("
	jQuery(document).ready(function() {
		jQuery('#jslyricstone').change(function() {
			jQuery('#jslyricsfrm').trigger('submit');
	    });
	});
");
?>
<?php if ($this->item) : ?>
    <div class="item_fields">
		<dl class="fields_list">
			<dt><?php echo JText::_('COM_JSONGLYRICS_SONG_ARTIST');?></dt><dd><?php echo $this->item->artist; ?></dd>
			<dt><?php echo JText::_('COM_JSONGLYRICS_SONG_CREATOR1');?></dt><dd><?php echo $this->item->creator1; ?></dd>
			<dt><?php echo JText::_('COM_JSONGLYRICS_SONG_CREATOR2');?></dt><dd><?php echo $this->item->creator2; ?></dd>
		</dl>
    </div>
	<hr />
	<?php print_r($this->item->song) ?>
	<hr />

	<form class="form-inline" id="jslyricsfrm" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST">
		<div class="form-group">
			<label for="jslyricstone"><?php echo JText::_('COM_JSONGLYRICS_CHANGE_TONE'); ?></label>
			<select id="jslyricstone" name="jslyricstone" onchange="this.submit();">
				<?php
					$current_tone = (int)JRequest::getVar('jslyricstone', null, 'default', 'int');//(int)$_GET['jslyricstone'];
					for ($i=-6;$i<7;$i++) {
						if ($i == $current_tone) {
							echo "<option selected>" . $i . "</option>";
						} else {
							echo "<option>" . $i . "</option>";
						}
					}
				?>
			</select>
			<?php echo JText::_('COM_JSONGLYRICS_SEMITONES'); ?>
		</div>
	</form>
    
<?php
else:
    echo JText::_('COM_JSONGLYRICS_ITEM_NOT_LOADED');
endif;
?>
